Loading...
Searching...
No Matches
ON_3dmGoo Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_archive.h>`

## Public Member Functions

| ON_3dmGoo ()
| ~ON_3dmGoo ()
| ON_3dmGoo (const ON_3dmGoo &)
ON_3dmGoo & | operator= (const ON_3dmGoo &)
void | Dump (ON_TextLog &) const

## Public Attributes

unsigned int | m_typecode
int | m_value
unsigned char * | m_goo
ON_3dmGoo * | m_next_goo
ON_3dmGoo * | m_prev_goo

## Detailed Description

Definition at line 2736 of file opennurbs_archive.h.

## Constructor & Destructor Documentation

## ON_3dmGoo() [1/2]

ON_3dmGoo::ON_3dmGoo | ( |  | ) |

Referenced by ON_3dmGoo(), and operator=().

## ~ON_3dmGoo()

ON_3dmGoo::~ON_3dmGoo | ( |  | ) |

## ON_3dmGoo() [2/2]

ON_3dmGoo::ON_3dmGoo | ( | const ON_3dmGoo & |  | ) |

References ON_3dmGoo().

## Member Function Documentation

## Dump()

void ON_3dmGoo::Dump | ( | ON_TextLog & |  | ) | const

## operator=()

ON_3dmGoo & ON_3dmGoo::operator= | ( | const ON_3dmGoo & |  | ) |

References ON_3dmGoo().

## Member Data Documentation

## m_goo

unsigned char* ON_3dmGoo::m_goo

Definition at line 2749 of file opennurbs_archive.h.

## m_next_goo

ON_3dmGoo* ON_3dmGoo::m_next_goo

Definition at line 2750 of file opennurbs_archive.h.

## m_prev_goo

ON_3dmGoo* ON_3dmGoo::m_prev_goo

Definition at line 2751 of file opennurbs_archive.h.

## m_typecode

unsigned int ON_3dmGoo::m_typecode

Definition at line 2747 of file opennurbs_archive.h.

## m_value

int ON_3dmGoo::m_value

Definition at line 2748 of file opennurbs_archive.h.

The documentation for this class was generated from the following file:

- pcl/surface/3rdparty/opennurbs/opennurbs_archive.h